# Updates a GitX Webhook at project level

Update a project level Gitx webhook

Endpoint: PUT /v1/orgs/{org}/projects/{project}/gitx-webhooks/{gitx-webhook}
Version: 1.0
Security: x-api-key

## Path parameters:

  - `org` (string, required)
    Identifier field of the organization the resource is scoped to

  - `project` (string, required)
    Identifier field of the project the resource is scoped to

  - `gitx-webhook` (string, required)
    GitX webhook identifier

## Header parameters:

  - `Harness-Account` (string)
    Identifier field of the account the resource is scoped to. This is required for Authorization methods other than the x-api-key header. If you are using the x-api-key header, this can be skipped.

## Request fields (application/json):

  - `repo_name` (string)

  - `webhook_name` (string)

  - `folder_paths` (array)

  - `is_enabled` (boolean)

  - `connector_ref` (string)

## Response 200 fields (application/json):

  - `webhook_identifier` (string)


